/*******************************************************************************
* Copyright 2015 Ivan Shubin http://galenframework.com
* 
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
* 
*   http://www.apache.org/licenses/LICENSE-2.0
* 
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
******************************************************************************/
package com.galenframework;

import com.galenframework.junit.GalenJUnitTestBase;
import org.junit.Test;
import org.junit.runners.Parameterized;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.firefox.FirefoxDriver;

import java.util.Arrays;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.core.IsNull.notNullValue;

public class JunitTest extends GalenJUnitTestBase {

    @Override
    public WebDriver createDriver() {
        return new FirefoxDriver();
    }

    @Test
    public void shouldInitDriver() {
        assertThat(getDriver(), notNullValue());
    }


    @Parameterized.Parameters
    public static Iterable<Object[]> devices() {
        return Arrays.asList(new Object[][]{});
    }
}
